Bug 190386 - The /XMLRPC handler needs to, uh, handle having the UUID in a hardware profile
The /XMLRPC handler needs to, uh, handle having the UUID in a hardware profile
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Vetere
Brandon Perkins
Depends On:
Blocks: 189917
  Show dependency treegraph
Reported: 2006-05-01 16:50 EDT by John Wregglesworth
Modified: 2007-04-18 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-14 11:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-05-01 16:50:09 EDT
Description of problem: The server-side XMLRPC handler for up2date, located at
/XMLRPC, needs to be able to handle having a Xen UUID in the hardware profile.

After looking through the code, it looks like the following modification will
have to be made:

In backend/server/rhnServer/server_hardware.py
     * Add XenDevice class that subclasses Device.
     * XenDevice class should accept receiving the 'class' and 'uuid' fields.
     * Once a table is defined for the Xen stuff, it's name will have to be
passed into the Device class constructor.
     * Change add_hardware so it knows about the "xen" class of hardware and
makes class_type and instance of XenDevice.
     * Change reload_hardware_byid so it will load info about the Xen
"hardware". May have to add a special case to __load_from_db().

Note You need to log in before you can comment on or make changes to this bug.